
<!--#include file="../Include/Conn.jsp" -->
<!--#include file="../Include/Const.jsp" -->
<%
m_SQL = "SELECT COUNT(*) FROM T_Member"
SET rs = conn.Execute(m_SQL)
m_MemberNumber = rs(0) : rs.Close

m_SQL = "SELECT COUNT(*) FROM T_Admin"
SET rs = conn.Execute(m_SQL)
m_ManageNumber = rs(0) : rs.Close

m_SQL = "SELECT COUNT(*) FROM T_FriendLink"
SET rs = conn.Execute(m_SQL)
m_FriendLinkNumber  = rs(0) : rs.Close

m_SQL = "SELECT COUNT(*) FROM T_Article WHERE F_IsAuditing=1"
SET rs = conn.Execute(m_SQL)
m_ArticleAuditingNumber = rs(0) : rs.Close

m_SQL = "SELECT COUNT(*) FROM T_Article WHERE F_IsAuditing=0"
SET rs = conn.Execute(m_SQL)
m_ArticleNoAuditingNumber = rs(0) : rs.Close
CloseDatabase()

Function testObject(str)
On Error Resume Next
testObject = False
Err = 0
Dim TestObj
Set TestObj = Server.CreateObject(str)
If 0 = Err Then testObject = True
Set TestObj = Nothing
Err = 0
End Function

Function GetFileSize(file)
   Dim fso,fs,GetFile
   On Error Resume Next
   Set Fso = Server.createobject("scripting.filesystemobject")
   Set GetFile=fso.getfile(server.mappath(file))
   GetFileSize=GetFile.size
   Set getfile=nothing
   Set fso=nothing
End Function
%>
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link href="Images/Style.css" rel="stylesheet" type="text/css">
<style type="text/css">
<!--
.STYLE1 {color: #0000FF}
-->
</style>
</head>

<BODY bgcolor="D6DFF7" leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<table width="95%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td> <br>
      <strong>欢迎光临 <%=Site_Info(0)%> 进入管理控制面板</strong> </td>
  </tr>
</table>
<br>
<table class=tableBorder width="95%" border=0 align="center" cellpadding=5 cellspacing=1>
  <tbody>
    <tr> 
      <th height=21 colspan="2" sytle="line-height:150%">【系统信息】</th>
    </tr>
    <tr> 
      <td width="47%"  class=forumRow>服务器类型：<%=Request.ServerVariables("OS")%>(IP:<%=Request.ServerVariables("LOCAL_ADDR")%>) 
      </td>
      <td width="53%"  class=forumRowHighlight>脚本解释引擎：<%=ScriptEngine & "/"& ScriptEngineMajorVersion &"."&ScriptEngineMinorVersion&"."& ScriptEngineBuildVersion %> 
      </td>
    </tr>
    <tr> 
      <td class=forumRow>站点物理路径：<%=request.ServerVariables("APPL_PHYSICAL_PATH")%></td>
      <td class=forumRowHighlight>数据库使用： 
        <%If Not testObject("adodb.connection") Then%>
        <font color="#FF3300"><b>×</b></font> 
        <%else%>
        <b><font color="#FF3300">√</font></b> 
        <%end if%>
      </td>
    </tr>
    <tr> 
      <td class=forumRow>FSO文本读写： 
        <%If Not testObject("scripting.filesystemobject") Then%>
        <b><font color="#FF0000">×</font></b> 
        <%else%>
        <b><font color="#FF0000">√</font></b> 
        <%end if%>
      </td>
      <td class=forumRowHighlight><a href="Admin_Check.jsp"><u>详细信息</u></a></td>
    </tr>
  </tbody>
</table>
<br>
<table class=tableBorder width="95%" border=0 align="center" cellpadding=5 cellspacing=1>
  <tbody>
    <tr> 
      <th height=21 colspan="4" sytle="line-height:150%">【数据统计】</th>
    </tr>
    <tr> 
      <td colspan="2"  class=forumRow>会员数量： 
      <% = m_MemberNumber %>      </td>
      <td colspan="2"  class=forumRowHighlight>数据库大小：<b><font color="#FF0000"><%=GetFileSize(DBPath)/1024&" KB"%></font></b>      </td>
    </tr>
    <tr> 
      <td colspan="2" class=forumRow>后台会员： 
        <% = m_ManageNumber %>      </td>
      <td colspan="2" class=forumRowHighlight>栏目数量：<b></b><b> 
        <% = m_MemberNumber %>
        </b> </td>
    </tr>
    <tr> 
      <td colspan="2" class=forumRow>友情连接： 
        <% = m_FriendLinkNumber  %>      </td>
      <td colspan="2" class=forumRowHighlight>　</td>
    </tr>
    <tr> 
      <td colspan="2" class=forumRow>共有文章：<b></b> 
        <% = m_ArticleAuditingNumber  %>
        （待审文章：<font color="#FF0000">&nbsp;</font>） 
        <% = m_ArticleNoAuditingNumber  %>      </td>
      <td colspan="2" class=forumRowHighlight>　</td>
    </tr>
    <tr> 
      <td width="22%" height="38" class=forumRow><div align="center"><a href="/shop/admin/login.jsp" target="content" class="STYLE1">买卖街登陆</a></div></td>
      <td width="25%" class=forumRow><div align="center"><a href="/bbs/admin/index.jsp" target="content" class="STYLE1">论坛登陆</a></div></td>
      <td width="23%" class=forumRowHighlight><div align="center"><a href="/blog/admin_index.jsp" target="content" class="STYLE1">博客登陆</a></div></td>
      <td width="30%" class=forumRowHighlight><div align="center"></div></td>
    </tr>
  </tbody>
</table>

<br>
</body>
</html>
